Name:       perl-Perl6-Form
Version:    0.090
Release:    1%{?dist}
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Implements the Perl 6 'form' built-in
Url:        https://metacpan.org/pod/Perl6::Form
Source:     https://cpan.metacpan.org/authors/id/D/DC/DCONWAY/Perl6-Form-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(List::Util)
BuildRequires: perl(Perl6::Export)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Digest::MD5)


%description
Formats are Perl 5's mechanism for creating text templates with fixed-width
fields. Those fields are then filled in using values from prespecified
package variables.

Unlike Perl 5, Perl 6 doesn't have a 'format' keyword. Or the associated
built-in formatting mechanism. Instead it has a Form.pm module. And a
'form' function.

Like a Perl 5 'format' statement, the 'form' function takes a series of
format (or "picture") strings, each of which is immediately followed by a
suitable set of replacement values. It interpolates those values into the
placeholders specified within each picture string, and returns the result:

%prep
%setup -q -n Perl6-Form-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> 0.090-1
- Updated to new version.

* Fri Dec 15 2017 Greg Wildman <greg@techno.co.za> 0.008-3
- Updated to new version, add build dependencies.

* Sun Jul 05 2015 Greg Wildman <greg@techno.co.za> 0.04-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.4)
